var len = 320; // макс. длина отображаемого текста по умолчанию
var text = '';
$(function () {

    var description = text = $('#Description').html();
    if (description.length > len) {
        $('#Description').addClass('Short');
        $('#Description').html(description.substring(0, len - 3) + '...' + '<a href="#" class="noprint" onclick="ShowDescription();return false">&#8594;</a>');
    }

    $('.showComments').text(TaskResources.AllComments);

    window.print();
});



function ShowDescription() {
    if ($('#Description').hasClass('Short')) {
        $('#Description').removeClass('Short');
        $('#Description').html(text + '<a href="#" class="noprint" onclick="ShowDescription();return false">&#8592;</a>');
    } else {
        $('#Description').addClass('Short');
        $('#Description').html(text.substring(0, len - 3) + '...' + '<a href="#" class="noprint" onclick="ShowDescription();return false">&#8594;</a>');
    }
}

$('body').on('click', '.js-show-coordinator-comments', function () {
    var $self = $(this);
    var $record = $self.parents('.record:first');
    
    $record.find('.old').toggle();
    if ($self.text() == TaskResources.AllComments)
        $self.text(TaskResources.Hide);
    else
        $self.text(TaskResources.AllComments);
});
